Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create intake

POST/workspaces/{organizationId}/intake
Path parameters
organizationIdstringrequired
Request body
application/json
intakeIdstring
min length 1
businessNamestringrequired
min length 1
addressstring
websiteUrlstring<uri>
visitedAtstring
spokeWithobject
Show properties
namestring
rolestring
isDecisionMakerboolean
ownerobject
Show properties
namestring
phonestring
emailstring<email>
bestTimestring
meetingobject
Show properties
bookedbooleanrequired
atstring
returnAtstring
bookingUrlstring<uri>
discoveryobject
Show properties
businessTypestring
billingSystemsstring[]
paymentMethodsstring[]
hardwarestring
hardwareOwnershipstring
signagestring
fitNotesstring
pricingobject
Show properties
currentProcessorstring
posSystemstring
underContractboolean
contractEndstring
earlyTerminationFeestring
timeWithProviderstring
monthlyCardVolumestring
averageTicketstring
transactionsPerDaystring
cardMixstring
channelMixstring
seasonalitystring
monthlySalesTotalsstring
painobject
Show properties
biggestComplaintstring
switchedBeforestring
wishesstring
pipelineStatusIdstring
nextStepstring
nextStepDatestring
repNotesstring
statementFilesobject[]
Show properties
Array of object
keystringrequired
min length 1
urlstringrequired
min length 1
namestring
Responses
200

Intake already recorded (idempotent retry)

customerIdstringrequired
contactIdstring | nullrequired
documentIdstring | nullrequired
statusIdstring | nullrequired
bookingLinkIdstring | nullrequired
dedupedbooleanrequired
201

Intake recorded

customerIdstringrequired
contactIdstring | nullrequired
documentIdstring | nullrequired
statusIdstring | nullrequired
bookingLinkIdstring | nullrequired
dedupedbooleanrequired
400

Invalid request

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/intake' \
  -H 'Content-Type: application/json' \
  -d '{
  "intakeId": "string",
  "businessName": "string",
  "address": "string",
  "websiteUrl": "http://example.com",
  "visitedAt": "string",
  "spokeWith": {
    "name": "string",
    "role": "string",
    "isDecisionMaker": true
  },
  "owner": {
    "name": "string",
    "phone": "string",
    "email": "user@example.com",
    "bestTime": "string"
  },
  "meeting": {
    "booked": true,
    "at": "string",
    "returnAt": "string",
    "bookingUrl": "http://example.com"
  },
  "discovery": {
    "businessType": "string",
    "billingSystems": [
      "string"
    ],
    "paymentMethods": [
      "string"
    ],
    "hardware": "string",
    "hardwareOwnership": "string",
    "signage": "string",
    "fitNotes": "string"
  },
  "pricing": {
    "currentProcessor": "string",
    "posSystem": "string",
    "underContract": true,
    "contractEnd": "string",
    "earlyTerminationFee": "string",
    "timeWithProvider": "string",
    "monthlyCardVolume": "string",
    "averageTicket": "string",
    "transactionsPerDay": "string",
    "cardMix": "string",
    "channelMix": "string",
    "seasonality": "string",
    "monthlySalesTotals": "string"
  },
  "pain": {
    "biggestComplaint": "string",
    "switchedBefore": "string",
    "wishes": "string"
  },
  "pipelineStatusId": "string",
  "nextStep": "string",
  "nextStepDate": "string",
  "repNotes": "string",
  "statementFiles": [
    {
      "key": "string",
      "url": "string",
      "name": "string"
    }
  ]
}'
Response
{
  "customerId": "string",
  "contactId": "string",
  "documentId": "string",
  "statusId": "string",
  "bookingLinkId": "string",
  "deduped": true
}